## org.eclipse.datatools.sqltools.result.internal.ui.viewer
Class ResultSetContentProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.viewer.ResultSetContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

    public class ResultSetContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IStructuredContentProvider

Content provider for result set viewer

Author:
  Dafan Yang

Constructor Summary
`ResultSetContentProvider()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetContentProvider

    public ResultSetContentProvider()

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`